<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100142";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("d/m/Y");
			
				////identificar cuenta 
					$sqlCR2 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
					if (mysql_numrows($sqlCR2)==0) echo "";
					else{
					$registroCR2=mysql_fetch_array($sqlCR2);
					}
					if (mysql_numrows($sqlCR2)>0)
					{
					$CuentaCR1=$registroCR2["CVE_CUENTA"];
					$NomBodCR2=$registroCR2["NOMBRE_CUENTA"];
					$ClavBodCR2=$registroCR2["CVE_BODEGA"];
					
					}			
			
				////identificar bodega
					$sqlCR3 = mysql_query("select * from wms_configura_altabodega WHERE CVE_BODEGA='$ClavBodCR2'");
					if (mysql_numrows($sqlCR3)==0) echo "";
					else{
					$registroCR3=mysql_fetch_array($sqlCR3);
					}
					if (mysql_numrows($sqlCR3)>0)
					{
					$BodBodCR1=$registroCR3["CVE_BODEGA"];
					$NomBodegaCR2=$registroCR3["NOMBRE_BODEGA"];
					}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP


		////Se sube todo el Archivo .CSV
		if (isset($_FILES['file']))
		{	
			$file=$_FILES['file']['tmp_name'];
			
			$handle = fopen($file,"r");
			$handle2 = fopen($file,"r");
		
		//////////////////////////////////////////////////////////////////////////////////////////////////////
		////Se Valida si se selecciona un Archivo de tipo .CSV 	
			$explode_name = explode('.',$_FILES['file']['name']);
			if($explode_name[1] == 'csv'){
			  $csv_file = true;
			  $ValExtension="OK";
			}
			else{
			  $csv_file = false;
			  $ValExtension="NO";
			}  
			
		if ($ValExtension=="OK")
		{
		
		//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		////Aqui adentro va toro el Proceso
		
		while(($fileop = fgetcsv($handle,1000, ",")) !== false)
			{
				
				$Sku_CSV=$fileop[0];
				$Alt_CSV=$fileop[1];
				$FEn_CSV=$fileop[2];
				$Can_CSV=$fileop[3];
				$Lot_CSV=$fileop[4];
				$LIn_CSV=$fileop[5];
				$LPr_CSV=$fileop[6];
				$Cad_CSV=$fileop[7];
				$Fac_CSV=$fileop[8];
				$Pro_CSV=$fileop[9];
				$Ubi_CSV=$fileop[10];
				$ECa_CSV=$fileop[11];
				
			$CuentaRegTotal=$CuentaRegTotal+1;	
								
			////Identificar si el Campo Pasillo esta Vacio - 1				
				if ($Sku_CSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_ubica_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_inini_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_ubica_csv /////
						$sqlGI = "insert into temporal_bitacora_inini_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el código SKU dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
			////Identificar si el Campo Lado esta Vacio - 2			
				if ($Alt_CSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_ubica_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_inini_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_ubica_csv /////
						$sqlGI = "insert into temporal_bitacora_inini_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el SKU Alterno dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
			////Identificar si el Campo Lado esta Vacio - 3			
				if ($FEn_CSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_ubica_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_inini_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_ubica_csv /////
						$sqlGI = "insert into temporal_bitacora_inini_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar la Fecha de Entrada dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
				////Identificar si el Campo Lado esta Vacio - 4			
				if ($Can_CSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_ubica_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_inini_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_ubica_csv /////
						$sqlGI = "insert into temporal_bitacora_inini_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar la Cantidad del Pallet dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
			////Identificar si el Campo Lado esta Vacio - 5		
				if ($Cad_CSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_ubica_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_inini_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_ubica_csv /////
						$sqlGI = "insert into temporal_bitacora_inini_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar la Caducidad del Pallet dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
				
				////Identificar si el Campo Lado esta Vacio - 6	
				if ($Fac_CSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_ubica_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_inini_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_ubica_csv /////
						$sqlGI = "insert into temporal_bitacora_inini_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el Numero de Factura dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
				////Identificar si el Campo Lado esta Vacio - 7
				if ($Pro_CSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_ubica_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_inini_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_ubica_csv /////
						$sqlGI = "insert into temporal_bitacora_inini_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar la Cve del Proveedor dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
				
				////Identificar si el Campo Lado esta Vacio - 8
				if ($Ubi_CSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_ubica_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_inini_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_ubica_csv /////
						$sqlGI = "insert into temporal_bitacora_inini_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar la Cve de Ubicación dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
				////Identificar si el Campo Lado esta Vacio - 9
				if ($ECa_CSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_ubica_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_inini_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_ubica_csv /////
						$sqlGI = "insert into temporal_bitacora_inini_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el Estado de Calidad dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
			
			////Identificar si el Codigo SKU NO Existe dentro del Catalogo de Productos - 10
				$sql1 = mysql_query("select SKU from tabla_altaproducto WHERE CUENTA='$CuentaCR1' AND SKU='$Sku_CSV'");
						
				if (mysql_numrows($sql1)==0) 
				{				
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_ubica_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_inini_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_ubica_csv /////
						$sqlGI = "insert into temporal_bitacora_inini_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$Sku_CSV','El código SKU al cual le deseas realizar un Inventario Inicial NO existe dentro del sistema. Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
				////Identificar si la Cve del Proveedor NO Existe dentro del Catalogo de Proveedores - 11
				$sql2 = mysql_query("select NOMBRE from tabla_proveedores WHERE CVE_CUENTA='$CuentaCR1' AND CVE_PROVEEDOR='$Pro_CSV'");
				if (mysql_numrows($sql2)==0) 
				{				
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_ubica_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_inini_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_ubica_csv /////
						$sqlGI = "insert into temporal_bitacora_inini_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$Pro_CSV','El proveedor al cual le deseas realizar un Inventario Inicial NO existe dentro del sistema. Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
				////Identificar si la Ubicacion NO Existe dentro del Catalogo de Ubicaciones - 12
				$sql3 = mysql_query("select PASILLO from tabla_ubicaciones WHERE CUENTA='$CuentaCR1' AND CLAVEUBICACION='$Ubi_CSV'");
				if (mysql_numrows($sql3)==0) 
				{				
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_ubica_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_inini_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_ubica_csv /////
						$sqlGI = "insert into temporal_bitacora_inini_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$Ubi_CSV','La Ubicación al cual le deseas realizar un Inventario Inicial NO existe dentro del sistema. Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
				////Identificar si el Estado de Calidad NO Existe dentro del Catalogo de Ubicaciones - 13
				$sql4 = mysql_query("select NOMBRE_ESTADO from tabla_estadosdecalidad WHERE CVE_CUENTA='$CuentaCR1' AND CVE_ESTADO='$ECa_CSV'");
				if (mysql_numrows($sql4)==0) 
				{				
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_ubica_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_inini_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_ubica_csv /////
						$sqlGI = "insert into temporal_bitacora_inini_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$ECa_CSV','El Estado de Calidad al cual le deseas realizar un Inventario Inicial NO existe dentro del sistema. Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
						
			
			////Activación del Validador	
				
				$CuentaRegExitosos=$CuentaRegExitosos+1;
				
				}///1
				}///2
				}///3
				}///4
				}///5
				}///6
				}///7
				}///8
				}///9
				}///10
				}///11
				}///12
				}///13
								
			}
		}
		else
		{
		$CuentaRegTotal="0";
		
				////Guardar Incidencia en la Bitacora
					
				//////HORA y FECHA/////
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
			
				////Generador de Folio concecutivo en la tabla temporal_bitacora_ubica_csv///////////
					$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_inini_csv"; 
					$libK = mysql_query($sqlIDK); 
					$rs_libK = mysql_fetch_assoc($libK); 
					$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
				////Guardar el registro de la Incidencia en la tabla temporal_bitacora_ubica_csv /////
					$sqlGI = "insert into temporal_bitacora_inini_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','No se selecciono un archivo de Tipo .CSV','$UsuEn','$HoraOK','$Fecha')";
					$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
						
		echo "<script>alert('ATENCIÓN:\\nNo se selecciono un archivo de Tipo .CSV\\nFavor de Corroborarlo.');</script>";
		}		
							
		if ($CuentaRegExitosos==$CuentaRegTotal)			
			{ ////Inicia If Validad Registros Exitosos	
			
			////Inicia Proceso 1 - ****************************
					/////////Identificar el prefijo configurado
					$sqlIDE1 = mysql_query("select PREFIJO_DOCRECIBO from wms_configura_recibo WHERE CVE_CUENTA='$CuentaCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoCta=$registroIDE1["PREFIJO_DOCRECIBO"];
					}
					
					////Generador de Folio para gsrdar el consecutivo de la clave de documento en la tabla_consedocres
					$FechaDocuRes=date("Ymd");
				
					$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consedocres WHERE FECHA='$FechaDocuRes'"; 
					$libDS = mysql_query($sqlDS); 
					$rs_libDS = mysql_fetch_assoc($libDS); 
					$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
				
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					if ($id_nuevoDS >9999)
					{
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					////Generador de Folio para guardar el consecutivo del # de Documento de Recibo
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consedocres"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
					////Guardar en la BD el consecutivo del # de Documento de Recibo
					$sqlGDS = "insert tabla_consedocres (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,FECHA)
        			values('$id_nuevoP2','$BodBodCR1','$CuentaCR1','$id_nuevoDS','$NoDocPG','$FechaDocuRes')";
					$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
			
			////Termina Proceso 1 - ****************************													

			////Inicia Proceso General de Guardado
			while(($fileop2 = fgetcsv($handle2,1000, ",")) !== false)
				{////Inicia del While general que guarda los Registros
									
					$Sku_CSV=$fileop2[0];
					$Alt_CSV=$fileop2[1];
					$FEn_CSV=$fileop2[2];
					$Can_CSV=$fileop2[3];
					$Lot_CSV=$fileop2[4];
					$LIn_CSV=$fileop2[5];
					$LPr_CSV=$fileop2[6];
					$Cad_CSV=$fileop2[7];
					$Fac_CSV=$fileop2[8];
					$Pro_CSV=$fileop2[9];
					$Ubi_CSV=$fileop2[10];
					$ECa_CSV=$fileop2[11];
								
					////Generador de Folio para la tabla_inventario
						$sqlPTDD = "select max(ID) as ultimo_FOLIOPTDD from tabla_inventario"; 
						$libPTDD = mysql_query($sqlPTDD); 
						$rs_libPTDD = mysql_fetch_assoc($libPTDD); 
						$id_nuevoPTDD = $rs_libPTDD['ultimo_FOLIOPTDD'] + 1;
					
					////Generador de Folio para la tabla_kardex
						$sqlIDK = "select max(ID) as ultimo_FOLIOIDK from tabla_kardex"; 
						$libIDK = mysql_query($sqlIDK); 
						$rs_libIDK = mysql_fetch_assoc($libIDK); 
						$id_nuevoIDK = $rs_libIDK['ultimo_FOLIOIDK'] + 1;
					
					////Identificar la Descripción del Producto por medio de su Sku
						$sql_DP = mysql_query("select DESCRIPCION from tabla_altaproducto WHERE CUENTA='$CuentaCR1' AND SKU='$Sku_CSV'");
						if (mysql_numrows($sql_DP)==0) echo "";
						else{
						$registro_DP=mysql_fetch_array($sql_DP);
						}
						if (mysql_numrows($sql_DP)>0)
						{
						$Descrip_DP=$registro_DP["DESCRIPCION"];
						}
					
					////Identificar el Tipo de Ubicación por medio de la Cve de Ubicación
						$sql_DTU = mysql_query("select TIPODEUBICACION from tabla_ubicaciones WHERE CUENTA='$CuentaCR1' AND CLAVEUBICACION='$Ubi_CSV'");
						if (mysql_numrows($sql_DTU)==0) echo "";
						else{
						$registro_DTU=mysql_fetch_array($sql_DTU);
						}
						if (mysql_numrows($sql_DTU)>0)
						{
						$TiUbica_DTUP=$registro_DTU["TIPODEUBICACION"];
						}
						
					////Identificar la prioridad de la ubicación por medio de la Cve de Ubicación
						$sql_PU = mysql_query("select PRIORIDAD from tabla_prioridad WHERE CVE_CUENTA='$CuentaCR1' AND UBICACION='$Ubi_CSV'");
						if (mysql_numrows($sql_PU)==0)
						{
						$Priori_PU="9999";
						}
						else
						{
						$registro_PU=mysql_fetch_array($sql_PU);
						}
						if (mysql_numrows($sql_PU)>0)
						{
						$Priori_PU=$registro_PU["PRIORIDAD"];
						}
						
			////Inicia Proceso 2 - ****************************
			
					////Identificar el prefijo configurado
						$sqlIDE1 = mysql_query("select PREFIJO from wms_configura_pallet WHERE CVE_CUENTA='$CuentaCR1'");
						if (mysql_numrows($sqlIDE1)==0) echo "";
						else{
						$registroIDE1=mysql_fetch_array($sqlIDE1);
						}
						if (mysql_numrows($sqlIDE1)>0)
						{
						$PrefijoPal=$registroIDE1["PREFIJO"];
						}
					
					////Generador de Folio para guardar el concecutivo de la Clave del Pallet
						$FechaPallet=date("Ymd");
						$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consepallet WHERE FECHA='$FechaPallet'"; 
						$libP = mysql_query($sqlIDP); 
						$rs_libP = mysql_fetch_assoc($libP); 
						$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
					
						if ($id_nuevoP <=9)
						{
						$IdenCeros="0000";
						$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
						}
				
						if ($id_nuevoP >=10 and $id_nuevoP <=99)
						{
						$IdenCeros="000";
						$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
						}
				
						if ($id_nuevoP >=100 and $id_nuevoP <=999)
						{
						$IdenCeros="00";
						$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
						}
					
						if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
						{
						$IdenCeros="0";
						$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
						}
										
						if ($id_nuevoP >=10000)
						{
						$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
						}
					
					////Generador deFolio para guardar el concecutivo del Pallet
						$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consepallet"; 
						$libP2 = mysql_query($sqlIDP2); 
						$rs_libP2 = mysql_fetch_assoc($libP2); 
						$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
					//////GUARDAR EL LA BD EL CONSECUTIVO DEL NO DE PALLET//////////
						$sql_GCP = "insert tabla_consepallet (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,NO_PALLET,FECHA)
        				values('$id_nuevoP2','$BodBodCR1','$CuentaCR1','$id_nuevoP','$NoDocPG','$ClavePallet','$FechaPallet')";
						$resultado_GCP=mysql_query($sql_GCP,$conexion) or die(mysql_error());
						
			////Termina Proceso 2 - ****************************
			
					////Asignar un armado al Pallet
						$PxCCSV=$Can_CSV;
						$CxPCSV="1";
						$ArmaPCSV= "1 Pallet de ".$Can_CSV." piezas";
						
					////Hora y Fecha
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");

////Inicia Guardado General 1 - %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%////

					////Consulta que Guarda el Registro de Cada Pallet en la tabla_inventario
					$sql_GII = mysql_query("INSERT INTO tabla_inventario (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,FECHA_ENTRADA,CANTIDAD,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,ARM_PALLET,NO_PALLET,UBICACION,PRIORIDAD,TIPO_UBICACION,EDO_CALIDAD,CAN_APARTADA,USUARIO_ALTA,HORA,FECHA) VALUES ('$id_nuevoPTDD','$BodBodCR1','$CuentaCR1','$NoDocPG','$NoDocPG','$Sku_CSV','$Alt_CSV','$Descrip_DP','$FEn_CSV','$Can_CSV','$Lot_CSV','$LIn_CSV','$LPr_CSV','$Cad_CSV','$Fac_CSV','$Pro_CSV','$PxCCSV','$CxPCSV','$ArmaPCSV','$ClavePallet','$Ubi_CSV','$Priori_PU','$TiUbica_DTUP','$ECa_CSV','0','$UsuEn','$HoraOK','$Fecha')");
					
					////Consulta que Guarda el Registro de Cada Pallet en la tabla_kardex
					////$sql_GKI = mysql_query("INSERT INTO tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO) VALUES ('$id_nuevoIDK','$BodBodCR1','$CuentaCR1','$Sku_CSV','$Alt_CSV','$NoDocPG','INVENTARIO INICIAL','$Ubi_CSV','$ClavePallet','$Can_CSV','$Fecha','$HoraOK','$UsuEn')");
					$sql_GKI = mysql_query("INSERT INTO tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO) VALUES ('$id_nuevoIDK','$BodBodCR1','$CuentaCR1','$Sku_CSV','$Alt_CSV','$NoDocPG','INVENTARIO 2° Fase','$Ubi_CSV','$ClavePallet','$Can_CSV','$Fecha','$HoraOK','$UsuEn')");								

////Termina Guardado General 1 - %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%////
						
					} ////Fin del While general que guarda los Registros
				
				echo "<script>alert('SE AGREGARON $CuentaRegExitosos REGISTROS AL INVENTARIO DE FORMA EXITOSA.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='1; URL=108-RegistroInventarioInicialCSV.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";

				} ////Termina If Validad Registros Exitosos
				else
				{ ////Inicia Else Validad Registros Exitosos
				
					echo "<script>alert('Existe inconsistencia en los datos, por lo cual no se podrá continuar con el proceso.\\n\\nFavor de corroborarlo en su Respectiva Bitacora de Interfaz.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=108-BitacoraRegistroInventarioInicialCSV.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				
				} ////Termina Else Validad Registros Exitosos

		}
		////////FIN SE SUBE TODO EL ARCVHIVO CSV////////////


?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>